class PageDocumentation

This file provides property and method documentation for the model Page.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\Pages\Docs\ClassGenerated\Model\PageDocumentation to the model to get access to the properties.

Properties

int $id
string $pid
string $restricted_pid
string $title_i18n:

stored in MySQL as varchar

string $summary_i18n:

stored in MySQL as text

string $type:

enum page|folder|separator

bool $hidden:

stored in MySQL as tinyint

string $url_key:

stored in MySQL as varchar

bool $is_published:

stored in MySQL as tinyint

bool $is_temp:

stored in MySQL as tinyint

bool $is_custom_title:

stored in MySQL as tinyint

int $user_id
string $sort
int $created_at:

stored in MySQL as timestamp

int $created_user_id
int $updated_at:

stored in MySQL as timestamp

int $updated_user_id
string $deleted_at

Methods

all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 41
PageCollection all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

PageCollection

at line 41
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 41
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 41
PageCollection find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

PageCollection

at line 41
Page find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

Page